Download NACHA file

This request downloads a NACHA file.

   Click here to learn more about this request

Before sending this request, ensure the following steps within the NACHA process have been completed:

NACHA files are downloaded as blobs. To download a blob, it must be converted into a file.

🗯️

Need some help converting a blob into a file?

If you're testing this request within Postman, you can download the file by selecting 'Save response to file' in the response drop-down menu:

Additionally, here's a sample code snippet that sends the download request and converts the blob into a file:

const uuid = 'ad94fdb1-76a6-4939-9ddb-0ae99138b113';

var request = new XMLHttpRequest();
request.open('GET', 'https://securepayments.loanpro.io/api/nacha/report/' + uuid);
request.setRequestHeader('Authorization', '<YOUR TOKEN>');
request.setRequestHeader('Secret', '<YOUR SECRET>')
request.responseType = 'arraybuffer';
request.send();

request.onreadystatechange = function() {
  if(request.readyState == 4) {
   var blob = new Blob([request.response], {type: "octet/stream"});
        var fileName = "file.zip";
        saveAs(blob, fileName);
  }
}

Results

Returns a BLOB (Binary Large Object) in the response. Saving the response will create a .zip folder with the uuid as its name. Extracting the .zip file will unarchive the NACHA transaction file contained inside.

An error results in a message and context object indicating the type of error (e.g. invalid uuid).

Path Params
string
required

The UUID of the NACHA report.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json